
  echo compile os_common
  cc -option -o obj\os_common -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\source/OSAL/os_common.o
  
  echo compile Reflection_OSAL
  cc -option -o obj\Reflection_OSAL -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\source/OSAL/Reflection_OSAL.c
  
  echo compile os_sync
  cc -option -o obj\os_sync -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\os_sync.c
  
  echo compile os_file
  cc -option -o obj\os_file -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\os_file.c
  
  echo compile os_atomic
  cc -option -o obj\os_atomic -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\os_atomic.c
  
  echo compile os_thread
  cc -option -o obj\os_thread -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\os_thread.c
  
  echo compile os_endian
  cc -option -o obj\os_endian -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\os_endian.c
  
  echo compile os_mutex
  cc -option -o obj\os_mutex -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\os_mutex.c
  
  echo compile os_socket
  cc -option -o obj\os_socket -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\os_socket.c
  
  echo compile os_mem
  cc -option -o obj\os_mem -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\os_mem.c
  
  echo compile os_error
  cc -option -o obj\os_error -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\os_error.c
  
  echo compile os_time
  cc -option -o obj\os_time -I include -I include/OSAL -I includeSpecials/os_Windows -I includeSpecials/FwConvC32 .\os_time.c
  
 echo call of library building
 libc -optionLib obj\os_common obj\Reflection_OSAL obj\os_sync obj\os_file obj\os_atomic obj\os_thread obj\os_endian obj\os_mutex obj\os_socket obj\os_mem obj\os_error obj\os_time 
 